---
title: 'SyntaxError: missing ] after element list'
slug: Web/JavaScript/Reference/Errors/Missing_bracket_after_list
tags:
  - Error
  - Errors
  - JavaScript
  - SyntaxError
---
<div>{{jsSidebar("Errors")}}</div>

<p>The JavaScript exception "missing ] after element list" occurs when there is an error with the array initializer syntax somewhere. Likely there is a closing bracket ("<code>]</code>") or a comma ("<code>,</code>") missing.</p>

<h2 id="Message">Message</h2>

<pre class="syntaxbox">SyntaxError: missing ] after element list
</pre>

<h2 id="Error_type">Error type</h2>

<p>{{jsxref("SyntaxError")}}.</p>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>There is an error with the array initializer syntax somewhere. Likely there is a closing bracket ("<code>]</code>") or a comma ("<code>,</code>") missing.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Incomplete_array_initializer">Incomplete array initializer</h3>

<pre class="brush: js example-bad">var list = [1, 2,

var instruments = [
  'Ukulele',
  'Guitar',
  'Piano'
};

var data = [{foo: 'bar'} {bar: 'foo'}];
</pre>

<p>Correct would be:</p>

<pre class="brush: js example-good">var list = [1, 2];

var instruments = [
 'Ukulele',
 'Guitar',
 'Piano'
];

var data = [{foo: 'bar'}, {bar: 'foo'}];</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Array")}}</li>
</ul>
